/************************************************************************/
/*                                                                      */
/*  Licensed Materials - Property of IBM                                */
/*  WA84 SupportPac                                                     */
/*  (c) Copyright IBM Corp. 2001                                        */
/*  US Government Users Restricted Rights - Use, duplication or         */
/*  disclosure restricted by GSA ADP Schedule Contract                  */
/*  with IBM Corp.                                                      */
/*                                                                      */
/************************************************************************/
package com.ibm.workflow.servlet.clientx.wext;

import com.ibm.workflow.servlet.client.*;

/**
* The listener interface for receiving postCancelWorkItem event.
* The event which indicates that a work item has been acted on
* cancelWorkItem or retireveWorkItem comannd.
*/
public interface CancelWorkItemEventListener {
    /**
    * Invoked when a work item has been canceled.
    * @param context    a RequestContext object
    * @param controller a PageController session bean object
    * @return           a ResponsePage object
    * @exception ClientException if an error occurred
    */
    ResponsePage postCancelWorkItem(RequestContext context, PageController controller) throws ClientException;
}
